﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace TestSample
{
	public partial class MainPage : ContentPage
	{
        public MainPage()
        {
            InitializeComponent();

            var pieSeries = new PieSeries
            {
                ItemsSource = new ViewModel().ItemsSource,
                XBindingPath = "X",
                YBindingPath = "Y",
                DataMarker = new ChartDataMarker()
            };

            Content = new SfChart { Series = new ChartSeriesCollection { pieSeries } };
        }
	}

    public class ViewModel
    {
        public ViewModel()
        {
            ItemsSource = new ObservableCollection<Model>
            {
                new Model { X = "A", Y = 6 },
                new Model { X = "B", Y = 2 },
                new Model { X = "C", Y = 5 },
                new Model { X = "D", Y = 9 },
                new Model { X = "E", Y = 4 }
            };
        }

        public ObservableCollection<Model> ItemsSource { get; set; }
    }

    public class Model
    {
        public string X { get; set; }

        public double Y { get; set; }
    }
}
